Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security.interfaces
Interface RSAKeyPairGenerator

All Known Implementing Classes:
  BaseRSAKeyPairGenerator

public interface RSAKeyPairGenerator

An interface to an object capable of generating RSA key pairs. The generator is first initialized, then used to generate one or more key pairs.

Users wishing to indicate the public exponent, and to generate a key pair suitable for use with the RSA algorithm typically

1. Get a key pair generator for the RSA algorithm by calling the KeyPairGenerator `getInstance` method with "RSA" as its argument.

2. Initialize the generator by casting the result to an RSAKeyPairGenerator and calling the `initialize` method from this RSAKeyPairGenerator interface.

3. Generate one or more key pairs by calling the `generateKeyPair` method from the KeyPairGenerator class, as often as desired.

Note: it is not always necessary to do algorithm-specific initialization for an RSA key pair generator. That is, it is not always necessary to call the `initialize` method in this interface. Algorithm-independent initialization using the `initialize` method in the KeyPairGenerator interface is all that is needed when you accept defaults for algorithm-specific parameters.

$Revision: 1.2 $

Since:
  IJCE 1.0
Author:
  David Hopwood
See Also:
  `KeyPairGenerator`

Method Summary
`void` | `initialize(int strength, java.math.BigInteger publicExponent, java.security.SecureRandom random)` Initializes the key pair generator using the specified "strength" (desired key length in bits), public exponent, and source of random bits.

Method Detail

### initialize

    public void initialize(int strength,
                           java.math.BigInteger publicExponent,
                           java.security.SecureRandom random)
                    throws java.security.InvalidParameterException

  Initializes the key pair generator using the specified "strength" (desired key length in bits), public exponent, and source of random bits. Typical values for the public exponent are the Fermat primes F4 and F0 (65537 and 3) and, less commonly, 17.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.